Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.16
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## iaik.pkcs.pkcs11.objects
Class CertificateTypeAttribute

    java.lang.Object
      iaik.pkcs.pkcs11.objects.Attribute
          iaik.pkcs.pkcs11.objects.LongAttribute
              iaik.pkcs.pkcs11.objects.CertificateTypeAttribute

All Implemented Interfaces:
  Cloneable

public class CertificateTypeAttribute
extends LongAttribute

This is a special version of a long attribute for the type of a certificate type. It provides a better `toString()` implementation.

Invariants

Field Summary

Fields inherited from class iaik.pkcs.pkcs11.objects.Attribute
`AC_ISSUER, ALWAYS_SENSITIVE, APPLICATION, ATTR_TYPES, attributeNames_, AUTH_PIN_FLAGS, BASE, CERTIFICATE_TYPE, ckAttribute_, CLASS, COEFFICIENT, DECRYPT, DERIVE, EC_PARAMS, EC_POINT, ECDSA_PARAMS, ENCRYPT, END_DATE, EXPONENT_1, EXPONENT_2, EXTRACTABLE, HAS_RESET, HW_FEATURE_TYPE, ID, ISSUER, KEY_GEN_MECHANISM, KEY_TYPE, LABEL, LOCAL, MODIFIABLE, MODULUS, MODULUS_BITS, NEVER_EXTRACTABLE, OBJECT_ID, OWNER, present_, PRIME, PRIME_1, PRIME_2, PRIME_BITS, PRIVATE, PRIVATE_EXPONENT, PUBLIC_EXPONENT, RESET_ON_INIT, SECONDARY_AUTH, SENSITIVE, sensitive_, SERIAL_NUMBER, SIGN, SIGN_RECOVER, START_DATE, SUB_PRIME_BITS, SUBJECT, SUBPRIME, TOKEN, TRUSTED, UNWRAP, VALUE, VALUE_BITS, VALUE_LEN, VENDOR_DEFINED, VERIFY, VERIFY_RECOVER, WRAP`

Constructor Summary
`CertificateTypeAttribute()` Empty constructor.

Method Summary
`protected String` | `getValueString()` Get a string representation of the value of this attribute.

Methods inherited from class iaik.pkcs.pkcs11.objects.LongAttribute
`getLongValue, getValueString, setLongValue, toString`

Methods inherited from class iaik.pkcs.pkcs11.objects.Attribute
`clone, equals, getAttributeName, getCkAttribute, getType, hashCode, isPresent, isSensitive, setCkAttribute, setPresent, setSensitive, setType, toString, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CertificateTypeAttribute

    public CertificateTypeAttribute()

  Empty constructor.

Preconditions
Postconditions

Method Detail

### getValueString

    protected String getValueString()

  Get a string representation of the value of this attribute.

  Overrides:
    `getValueString` in class `Attribute`
  Returns:
    A string representation of the value of this attribute.
  Preconditions
  Postconditions
    (result <> null)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.16
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

IAIK JavaSecurity Website http://jce.iaik.tugraz.at/
IAIK at Graz University of Technology, Austria, Europe
Copyright 2001-2002, IAIK, Graz University of Technology, Inffeldgasse 16a, 8010 Graz, Austria. All Rights Reserved.